﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.Tb_Ledger>
@{
    ViewBag.Title = "GetLedger";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {

            $("#fromdate").datepicker();
            $("#todate").datepicker();
            $("#searchbtn").click(function () {

                var fdate = $("#fromdate").val();
                var tdate = $("#todate").val();
                window.location.href = "/Tb_Ledger/DayBook?dt1="+fdate+"&dt2="+tdate;
            });
        });

    </script>
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Day Book
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
       string refadd= CommonUtil.HomeAddress(utype);
        }

        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <div class="well">
            <table width="100%" id="searchtable">
                <tr>
                    <td align="left">
                        From Date
                    </td>
                    <td align="left">
                        <input type="date" id="fromdate"  value="@ViewBag.dt1"/>
                    </td>
                    <td align="left" width="20px">
                    </td>
                    <td align="left">
                        To Date
                    </td>
                    <td align="left">
                        <input type="date" id="todate" value="@ViewBag.dt2" />
                    </td>
                    <td align="left" width="20px">
                    </td>
                    <td align="left">
                        <input type="button" id="searchbtn" value="Search" />
                    </td>
                </tr>
            </table>
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            V.No.
                        </th>
                        <th>
                            Date
                        </th>
                        <th>
                            Voucher Type
                        </th>
                        <th>
                            Narration
                        </th>
                        <th>
                           Received
                        </th>
                        <th>
                            Paid
                        </th>
                        <th>
                            Balance
                        </th>
                        <th>
                            State
                        </th>
                        @*<th>
                          
                        </th>*@
                    </tr>
                </thead>
                <tbody>
                    @{
                        double? dbtamt = 0;
                        double? crdamt = 0;
                        double? bal = 0;
                        int i = 0;
                        string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    {
                        if (item.DebitAmt != null)
                        {
                            dbtamt += item.DebitAmt;
                        }
                        if (item.CreditAmt != null)
                        {
                            crdamt += item.CreditAmt;
                        }
                          if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else{
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                            <td>
                                @Html.DisplayFor(modelItem => item.VoucherNo)
                            </td>
                            <td>
                                           @{string cdate = string.Format("{0:dd MMM,yyyy}", item.Vouchdate);}
                        
                        @cdate
                                
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.VoucherType)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Narration)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.DebitAmt)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.CreditAmt)
                            </td>
                            <td>@Html.DisplayFor(modelItem => item.balance)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.state)
                            </td>
                            @* <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "Edit", new { id = item.Id })|
                                @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "MaTime", new { id = item.Id }, new { @class = "delete-link" }, null)
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                            </td>*@
                        </tr>
                    }
                </tbody>
            </table>
        </div>
        @{
            bal = dbtamt - crdamt;
            
        }
        <table width="100%">
            <tr>
                <td align="left" width="50%">
                    <table align="left" border="3" cellspacing="8" width="50%">
                        <tr>
                            <td align="left">
                                Total Received Sum
                            </td>
                            <td align="right" width="80px">
                                @dbtamt
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                Total Paid Sum
                            </td>
                            <td align="right">
                                @crdamt
                            </td>
                        </tr>
                    </table>
                </td>
                <td align="right" width="40%">
                  @*  <table align="right" border="3" cellspacing="8">
                        <tr>
                            <td align="left" width="150px">
                                Opening Balance
                            </td>
                            <td align="right" width="80px">
                            @ViewBag.OpeningBalance
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                Closing Balance
                            </td>
                            <td align="right">
                                @bal
                            </td>
                        </tr>
                    </table>*@
                </td>
                <td align="right" width="10%">
                </td>
            </tr>
        </table>
        @*<div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>

        </div>*@
    </div>
</div>
